Functions

# glm::gtx::matrix_major_storage Namespace Reference

GLM_GTX_matrix_cross_product: Build matrices with specific matrix order, row or column. More...

## Functions
template<typename T >
detail::tmat2x2< T > | colMajor2 (const detail::tvec2< T > &v1, const detail::tvec2< T > &v2)
| Build a column major matrix from column vectors.
template<typename T >
detail::tmat2x2< T > | colMajor2 (const detail::tmat2x2< T > &m)
| Build a column major matrix from other matrix.
template<typename T >
detail::tmat3x3< T > | colMajor3 (const detail::tvec3< T > &v1, const detail::tvec3< T > &v2, const detail::tvec3< T > &v3)
| Build a column major matrix from column vectors.
template<typename T >
detail::tmat3x3< T > | colMajor3 (const detail::tmat3x3< T > &m)
| Build a column major matrix from other matrix.
template<typename T >
detail::tmat4x4< T > | colMajor4 (const detail::tvec4< T > &v1, const detail::tvec4< T > &v2, const detail::tvec4< T > &v3, const detail::tvec4< T > &v4)
| Build a column major matrix from column vectors.
template<typename T >
detail::tmat4x4< T > | colMajor4 (const detail::tmat4x4< T > &m)
| Build a column major matrix from other matrix.
template<typename T >
detail::tmat2x2< T > | rowMajor2 (const detail::tmat2x2< T > &m)
| Build a row major matrix from other matrix.
template<typename T >
detail::tmat2x2< T > | rowMajor2 (const detail::tvec2< T > &v1, const detail::tvec2< T > &v2)
| Build a row major matrix from row vectors.
template<typename T >
detail::tmat3x3< T > | rowMajor3 (const detail::tvec3< T > &v1, const detail::tvec3< T > &v2, const detail::tvec3< T > &v3)
| Build a row major matrix from row vectors.
template<typename T >
detail::tmat3x3< T > | rowMajor3 (const detail::tmat3x3< T > &m)
| Build a row major matrix from other matrix.
template<typename T >
detail::tmat4x4< T > | rowMajor4 (const detail::tmat4x4< T > &m)
| Build a row major matrix from other matrix.
template<typename T >
detail::tmat4x4< T > | rowMajor4 (const detail::tvec4< T > &v1, const detail::tvec4< T > &v2, const detail::tvec4< T > &v3, const detail::tvec4< T > &v4)
| Build a row major matrix from row vectors.

## Detailed Description

GLM_GTX_matrix_cross_product: Build matrices with specific matrix order, row or column.

## Function Documentation

detail::tmat2x2<T> glm::gtx::matrix_major_storage::colMajor2 | ( | const detail::tvec2< T > & | v1,
|  | const detail::tvec2< T > & | v2
| ) |  |

Build a column major matrix from column vectors.

From GLM_GTX_matrix_major_storage extension.

detail::tmat2x2<T> glm::gtx::matrix_major_storage::colMajor2 | ( | const detail::tmat2x2< T > & | m ) |

Build a column major matrix from other matrix.

From GLM_GTX_matrix_major_storage extension.

detail::tmat3x3<T> glm::gtx::matrix_major_storage::colMajor3 | ( | const detail::tvec3< T > & | v1,
|  | const detail::tvec3< T > & | v2,
|  | const detail::tvec3< T > & | v3
| ) |  |

Build a column major matrix from column vectors.

From GLM_GTX_matrix_major_storage extension.

detail::tmat3x3<T> glm::gtx::matrix_major_storage::colMajor3 | ( | const detail::tmat3x3< T > & | m ) |

Build a column major matrix from other matrix.

From GLM_GTX_matrix_major_storage extension.

detail::tmat4x4<T> glm::gtx::matrix_major_storage::colMajor4 | ( | const detail::tvec4< T > & | v1,
|  | const detail::tvec4< T > & | v2,
|  | const detail::tvec4< T > & | v3,
|  | const detail::tvec4< T > & | v4
| ) |  |

Build a column major matrix from column vectors.

From GLM_GTX_matrix_major_storage extension.

detail::tmat4x4<T> glm::gtx::matrix_major_storage::colMajor4 | ( | const detail::tmat4x4< T > & | m ) |

Build a column major matrix from other matrix.

From GLM_GTX_matrix_major_storage extension.

detail::tmat2x2<T> glm::gtx::matrix_major_storage::rowMajor2 | ( | const detail::tmat2x2< T > & | m ) |

Build a row major matrix from other matrix.

From GLM_GTX_matrix_major_storage extension.

detail::tmat2x2<T> glm::gtx::matrix_major_storage::rowMajor2 | ( | const detail::tvec2< T > & | v1,
|  | const detail::tvec2< T > & | v2
| ) |  |

Build a row major matrix from row vectors.

From GLM_GTX_matrix_major_storage extension.

detail::tmat3x3<T> glm::gtx::matrix_major_storage::rowMajor3 | ( | const detail::tvec3< T > & | v1,
|  | const detail::tvec3< T > & | v2,
|  | const detail::tvec3< T > & | v3
| ) |  |

Build a row major matrix from row vectors.

From GLM_GTX_matrix_major_storage extension.

detail::tmat3x3<T> glm::gtx::matrix_major_storage::rowMajor3 | ( | const detail::tmat3x3< T > & | m ) |

Build a row major matrix from other matrix.

From GLM_GTX_matrix_major_storage extension.

detail::tmat4x4<T> glm::gtx::matrix_major_storage::rowMajor4 | ( | const detail::tmat4x4< T > & | m ) |

Build a row major matrix from other matrix.

From GLM_GTX_matrix_major_storage extension.

detail::tmat4x4<T> glm::gtx::matrix_major_storage::rowMajor4 | ( | const detail::tvec4< T > & | v1,
|  | const detail::tvec4< T > & | v2,
|  | const detail::tvec4< T > & | v3,
|  | const detail::tvec4< T > & | v4
| ) |  |

Build a row major matrix from row vectors.

From GLM_GTX_matrix_major_storage extension.